$def with (self)
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<!-- -*- coding: utf-8 mode: html -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8
-->
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="shortcut icon" href="/static/favicon.ico" />
$:blueprintcss("/static/blueprint")
$:js("/static/jquery.min.js")
$:jscss("/static/jquery.tooltip.min.js")
$:js("/static/jquery.hoverIntent.min.js")
$:css("/static/zoom.css")
$:css("/static/clock.css")
$:js("/static/taskshttpd.min.js")
$:jscss("/static/index.min.js")
<script type="text/javascript">
$$(function() {
	$$("#query").focus().select();
	$if self.reload_timeout: reload_page_every($self.reload_timeout);
});
</script>
<title>Serveur de tâches</title>
</head>
<body>
<div class="container"><!-- showgrid -->
<form method="post" action="/action" id="actionform">
	<div class="span-24">
		<input type="text" name="query" id="query" value="$self.cfilter" accesskey="f" />
		$if self.app.cfilters:
			<span id="btn_prev_queries">&nbsp;?&nbsp;</span>
		<input type="submit" name="searchbtn" value="Chercher" />
		<input type="submit" name="dobtn" value="Do" accesskey="d" />
		<input type="submit" name="nodobtn" value="Nodo" accesskey="n" />
		$ wname = self.app.ctl.get_wstore().get_name()
		<span id="btn_store">[$wname]</span>
		<div id="stores" class="hide"><h3>Choisissez le store destination</h3>
		<ul>
		$for store in self.app.ctl.get_stores().get_stores():
			$ name = store.get_name()
			$ sid = store.get_sid()
			$ current = name == wname and ' *' or ''
			<li><a href="/action?name=__sws__&store=$name">$name ($sid)</a>$current</li>
		</ul></div>
		$if self.app.cfilters:
			<div id="prev_queries" class="hide"><h3>Choisissez une requête déjà effectuée</h3>
			<ul>
			$for cfilter in self.app.cfilters:
				$if cfilter: <li><a href="/action?name=search&query=$cfilter">$cfilter</a></li>
			</ul></div>
	</div>
	$if self.msgs:
		<div class="span-24">
		$for msg in self.msgs: <div class="$msg.msg_class no-margin">$msg.msg_value</div>
		</div>
	<div class="span-15">
	<div id="col1">
	$for t in [t for t in self.ts if t.cal_today and (t.cal_planned or t.done)]:
		$if loop.index == 1: <h3>Aujourd'hui</h3>
		<div class="line-$loop.parity">$:self.hts[t.id]</div>
	$for t in [t for t in self.ts if t.cal_today and not t.cal_planned and not t.done]:
		$if loop.index == 1: <h3>Non planifié</h3>
		<div class="line-$loop.parity">$:self.hts[t.id]</div>
	</div>
	</div>
	<div class="span-9 last">
	<div id="col2">
	$for t in [t for t in self.ts if t.is_cal_future(1)]:
		$if loop.index == 1: <h3>Demain</h3>
		<div class="line-$loop.parity">$:self.hts[t.id]</div>
	$for t in [t for t in self.ts if t.is_cal_future(2)]:
		$if loop.index == 1: <h3>Après-demain</h3>
		<div class="line-$loop.parity">$:self.hts[t.id]</div>
	$for t in [t for t in self.ts if t.is_cal_future(3, True)]:
		$if loop.index == 1: <h3>Plus tard</h3>
		<div class="line-$loop.parity">$:self.hts[t.id]</div>
	$for t in [t for t in self.ts if t.is_cal_future(-1)]:
		$if loop.index == 1: <h3>Effectuées</h3>
		<div class="line-$loop.parity">$:self.hts[t.id]</div>
	</div>
	</div>
</form>
</div>
</body>
</html>
